Loading...
Searching...
No Matches
sccp_connection Struct Reference

## Data Fields

struct rb_node | node
struct osmo_sccp_instance * | inst
struct osmo_sccp_user * | user
uint32_t | remote_pc
struct osmo_sccp_addr | calling_addr
struct osmo_sccp_addr | called_addr
uint32_t | conn_id
uint32_t | remote_ref
uint32_t | importance
uint32_t | sccp_class
uint32_t | release_cause
struct msgb * | opt_data_cache
bool | incoming
struct osmo_fsm_inst * | fi
struct osmo_timer_list | t_conn
struct osmo_timer_list | t_ias
struct osmo_timer_list | t_iar
struct osmo_timer_list | t_rel
struct osmo_timer_list | t_int
struct osmo_timer_list | t_rep_rel

## Field Documentation

## called_addr

struct osmo_sccp_addr sccp_connection::called_addr

Referenced by scoc_fsm_idle(), scu_gen_encode_and_send(), vty_show_connection(), and xua_gen_msg_co().

## calling_addr

struct osmo_sccp_addr sccp_connection::calling_addr

Referenced by scoc_fsm_idle(), scu_gen_encode_and_send(), vty_show_connection(), and xua_gen_msg_co().

## conn_id

uint32_t sccp_connection::conn_id

Referenced by conn_add_node(), conn_create(), conn_create_id(), conn_find_by_id(), sccp_scoc_rx_from_scrc(), sccp_scoc_rx_scrc_rout_fail(), scu_gen_encode_and_send(), tx_rlsd_from_xua_twoway(), vty_show_connection(), xua_gen_msg_co(), xua_gen_relre(), xua_opt_data_length_lim(), and xua_opt_data_send_cache().

## fi

struct osmo_fsm_inst* sccp_connection::fi

Referenced by conn_create_id(), conn_destroy(), conn_tmr_cb(), int_tmr_cb(), osmo_sccp_user_sap_down_nofree(), rel_tmr_cb(), rep_rel_tmr_cb(), rx_inact_tmr_cb(), sccp_scoc_rx_from_scrc(), sccp_scoc_rx_scrc_rout_fail(), scoc_fsm_active(), scoc_fsm_conn_pend_in(), scoc_fsm_conn_pend_out(), scoc_fsm_disconn_pend(), scoc_fsm_idle(), scoc_fsm_wait_conn_conf(), scu_gen_encode_and_send(), tx_inact_tmr_cb(), tx_rlsd_from_xua_twoway(), and vty_show_connection().

## importance

uint32_t sccp_connection::importance

Referenced by scoc_fsm_active(), scoc_fsm_idle(), and scu_gen_encode_and_send().

## incoming

bool sccp_connection::incoming

Referenced by sccp_scoc_rx_from_scrc(), and vty_show_connection().

## inst

struct osmo_sccp_instance* sccp_connection::inst

Referenced by conn_add_node(), conn_create_id(), conn_destroy(), osmo_sccp_conn_id_exists(), osmo_sccp_user_sap_down_nofree(), sccp_scoc_rx_inval_opc(), sccp_scoc_rx_inval_src_ref(), sccp_scoc_rx_scrc_rout_fail(), sccp_timer_schedule(), tx_rlsd_from_xua_twoway(), vty_show_connection(), xua_gen_encode_and_send(), xua_gen_msg_co(), xua_gen_relre(), xua_gen_relre_and_send(), xua_opt_data_cache_keep(), and xua_opt_data_length_lim().

## node

struct rb_node sccp_connection::node

Referenced by conn_add_node(), conn_create_id(), conn_destroy(), and sccp_scoc_flush_connections().

## opt_data_cache

struct msgb* sccp_connection::opt_data_cache

Referenced by conn_opt_data_clear_cache(), xua_opt_data_cache_keep(), and xua_opt_data_send_cache().

## release_cause

uint32_t sccp_connection::release_cause

Referenced by scoc_fsm_conn_pend_out(), and scoc_fsm_wait_conn_conf().

## remote_pc

uint32_t sccp_connection::remote_pc

Referenced by sccp_scoc_rx_from_scrc(), sccp_scoc_rx_inval_opc(), scoc_fsm_conn_pend_out(), scoc_fsm_idle(), scoc_fsm_wait_conn_conf(), tx_rlsd_from_xua_twoway(), vty_show_connection(), xua_gen_encode_and_send(), and xua_gen_relre_and_send().

## remote_ref

uint32_t sccp_connection::remote_ref

Referenced by sccp_scoc_rx_from_scrc(), sccp_scoc_rx_inval_src_ref(), scoc_fsm_active(), scoc_fsm_conn_pend_out(), scoc_fsm_idle(), scoc_fsm_wait_conn_conf(), tx_rlsd_from_xua_twoway(), vty_show_connection(), xua_gen_msg_co(), and xua_gen_relre().

## sccp_class

uint32_t sccp_connection::sccp_class

Referenced by scoc_fsm_active(), scoc_fsm_idle(), scu_gen_encode_and_send(), and xua_gen_msg_co().

## t_conn

struct osmo_timer_list sccp_connection::t_conn

Referenced by conn_create_id(), conn_start_connect_timer(), and conn_stop_connect_timer().

## t_iar

struct osmo_timer_list sccp_connection::t_iar

Referenced by conn_create_id(), conn_restart_rx_inact_timer(), and conn_stop_inact_timers().

## t_ias

struct osmo_timer_list sccp_connection::t_ias

Referenced by conn_create_id(), conn_restart_tx_inact_timer(), and conn_stop_inact_timers().

## t_int

struct osmo_timer_list sccp_connection::t_int

Referenced by conn_create_id(), conn_start_int_timer(), and conn_stop_release_timers().

## t_rel

struct osmo_timer_list sccp_connection::t_rel

Referenced by conn_create_id(), conn_start_rel_timer(), and conn_stop_release_timers().

## t_rep_rel

struct osmo_timer_list sccp_connection::t_rep_rel

Referenced by conn_create_id(), conn_start_rep_rel_timer(), and conn_stop_release_timers().

## user

struct osmo_sccp_user* sccp_connection::user

Referenced by conn_create(), conn_create_id(), scu_gen_encode_and_send(), vty_show_connection(), xua_opt_data_length_lim(), and xua_opt_data_send_cache().

The documentation for this struct was generated from the following file:

- src/sccp_scoc.c